## LassoIdWsf2DiscoServiceContext LassoIdWsf2DiscoServiceContext — <disco:ServiceContext> |

## Functions

LassoIdWsf2DiscoServiceContext * | lasso_idwsf2_disco_service_context_new ()
LassoIdWsf2DiscoServiceContext * | lasso_idwsf2_disco_service_context_new_full ()

## Types and Values

struct | LassoIdWsf2DiscoServiceContext

## Description

Figure 150. Schema fragment for disco:ServiceContext

    <xs:complexType name="ServiceContextType">
      <xs:sequence>
        <xs:element ref="ServiceType"     maxOccurs="unbounded" />
        <xs:element ref="Options"         minOccurs="0"
          maxOccurs="unbounded" />
          <xs:element ref="EndpointContext" maxOccurs="unbounded" />
        </xs:sequence>
      </xs:complexType>

## Functions

### lasso_idwsf2_disco_service_context_new ()

    LassoIdWsf2DiscoServiceContext *
    lasso_idwsf2_disco_service_context_new
                                   (void);

Creates a new LassoIdWsf2DiscoServiceContext object.

#### Returns

a newly created LassoIdWsf2DiscoServiceContext object

### lasso_idwsf2_disco_service_context_new_full ()

    LassoIdWsf2DiscoServiceContext *
    lasso_idwsf2_disco_service_context_new_full
                                   (const gchar *serviceType,
                                    LassoIdWsf2DiscoEndpointContext *endpointContext);

## Types and Values

### struct LassoIdWsf2DiscoServiceContext

    struct LassoIdWsf2DiscoServiceContext {
    	LassoNode parent;

    	/* elements */
    	GList *ServiceType; /* of strings */
    	GList *Options; /* of LassoIdWsf2DiscoOptions */
    	GList *EndpointContext; /* of LassoIdWsf2DiscoEndpointContext */
    };